# Uses of Class
org.eclipse.ecf.remoteservice.client.AbstractRSAClientService.RSARemoteCall

Packages that use AbstractRSAClientService.RSARemoteCall
Package
Description
org.eclipse.ecf.remoteservice.client

## Uses of AbstractRSAClientService.RSARemoteCall in org.eclipse.ecf.remoteservice.client

Methods in org.eclipse.ecf.remoteservice.client that return AbstractRSAClientService.RSARemoteCall
Modifier and Type
Method
Description
`protected AbstractRSAClientService.RSARemoteCall`
AbstractRSAClientService.`createRemoteCall(Object proxy, Method method, String methodName, Object[] parameters, long timeout)`
Methods in org.eclipse.ecf.remoteservice.client with parameters of type AbstractRSAClientService.RSARemoteCall
Modifier and Type
Method
Description
`protected Callable<IRemoteCallCompleteEvent>`
AbstractRSAClientService.`getAsyncCallable(AbstractRSAClientService.RSARemoteCall call)`
`protected Callable<Object>`
AbstractRSAClientService.`getSyncCallable(AbstractRSAClientService.RSARemoteCall call)`
`protected Object`
AbstractRSAClientService.`invokeAsync(AbstractRSAClientService.RSARemoteCall remoteCall)`
Invoke a remote call asynchronously.
`protected Object`
AbstractRSAClientService.`invokeSync(AbstractRSAClientService.RSARemoteCall remoteCall)`
Invoke a remote call synchronously.